###########################################################################
#
# win32 makefile -- src/colservr
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDLHOME = ..\..
USE_STLPORT = 0
STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"

AR = lib
CC = cl
CPPFLAGS =
LDFLAGS =
DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX
INCLUDES = -I"$(GSDLHOME)" -I"$(GSDLHOME)\lib" -I"$(GSDLHOME)\src\colservr" \
	   -I"$(GSDLHOME)\src\mgpp\lib" -I"$(GSDLHOME)\src\mgpp\text" \
	   -I"$(GSDLHOME)\src\recpt" -I"$(GSDLHOME)\packages\mg" \
	   -I"$(GSDLHOME)\packages\mg\lib" -I"$(GSDLHOME)\packages\mg\src\text" \
	   -I"$(GSDLHOME)\packages\windows\gdbm\gdbm"
!IF $(USE_STLPORT)
DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
INCLUDES = $(INCLUDES) -I$(STLPATH)
!ENDIF

LIBS =

COMPILE = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
LINK = $(CC) $(LDFLAGS) -o $@

.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $< 

HEADERS = mgq.h search.h mgsearch.h querycache.h queryinfo.h collectserver.h \
          colservrconfig.h maptools.h filter.h source.h browsefilter.h \
          queryfilter.h mgqueryfilter.h mggdbmsource.h phrasesearch.h \
	  phrasequeryfilter.h collectset.h mgppsearch.h mgppqueryfilter.h

SOURCES = mgq.c search.cpp mgsearch.cpp querycache.cpp queryinfo.cpp \
	  collectserver.cpp colservrconfig.cpp maptools.cpp filter.cpp \
	  source.cpp browsefilter.cpp queryfilter.cpp mgqueryfilter.cpp \
	  mggdbmsource.cpp phrasesearch.cpp phrasequeryfilter.cpp \
	  collectset.cpp mgppsearch.cpp mgppqueryfilter.cpp

OBJECTS = mgq.obj search.obj mgsearch.obj querycache.obj queryinfo.obj \
	  collectserver.obj colservrconfig.obj maptools.obj filter.obj \
	  source.obj browsefilter.obj queryfilter.obj mgqueryfilter.obj \
	  mggdbmsource.obj phrasesearch.obj phrasequeryfilter.obj \
	  collectset.obj mgppsearch.obj mgppqueryfilter.obj

all : gsdlcolservr.lib

gsdlcolservr.lib : $(OBJECTS)
	if EXIST gsdlcolservr.lib del gsdlcolservr.lib
	$(AR) /out:gsdlcolservr.lib $(OBJECTS)

clean:
	del *.obj
	del gsdlcolservr.lib

install:
